Subject: Re: Proper location of the cygwin.dll WAS: Re: b19 and cygwin.dll
From: [email-masked] (Bartlee A. Anderson)

20 Feb 1998 15:56:53 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Craig Dickson <[email-masked]>
Cc: [email-masked]

Craig Dickson wrote:
> 
> Magosanyi Arpad wrote:
> 
> >Well, a shared library is a shared library. Its distinguishing features
> from
> >an executable binary are the following:
> >- You cannot execute it
> >- More executable binaries, possibly in different locations use it. Hence
> >the name "shared".
> 
> Yes, but cygwin.dll is specifically a component of the cygwin package, which
> needs to be installed before most Unix install/config scripts will run, so
> it seems reasonable to keep the dll with the base set of executables, given
> the way the Windows platform locates dlls.
> 
> >> Is it customary to add the /lib and /usr/lib paths to the PATH
> >> environment variable?  I don't think so.
> 
> >
> >It is also not customary to look for shared libraries
> >in the PATH.
> 
> It is on Microsoft OSs, which are, after all cygwin's host platform. So one

Can imagine that this might not be all good.
Path is not a static thing.
The shell env which you are in which could be as varied as the
number of shortcuts to command or cmd or what ever shell you
choose to use.
I do this to keep from garbaging up the autoexec/config files and
therefore the base environment for any shells. I'm sure others find this
a useful way to manage slightly different path/env requirements.

> question here is where to strike the proper balance between conforming to
> the host system's conventions and emulating Unix. I don't see any reason to
> devise a custom way of locating cygwin.dll when the OS will do it for free
> if it is on the PATH (which the cygwin executables need to be on anyway).
> 
> >I meant the need of conforming to FSSTND rather seriously. I think you
> >overlooked that part, which is a pity because this is the point we should
> >argue about. The location of shared libraries is a logical consequence of
> >the outcome of that issue. I propose to talk this over first.
> 
> Excuse me, but I'm not all that familiar with POSIX; my Unix experience is
> mostly as a user, and as a writer of fairly simple C programs and perl/sh
> scripts, not as a sysadmin or serious developer. What is FSSTND, and how do
> you see it as being relevant to cygwin?
> 
> Craig
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
Rockwell International                    Electronic Commerce Division
300 Bauman Ct.                                [email-masked]
MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
Wood Dale, IL 60191                               FAX   (630) 227-9771
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".